Package com.sun.jna.platform.win32

# Class Sspi.SecPkgContext_Flags.ByReference

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.SecPkgContext_Flags
com.sun.jna.platform.win32.Sspi.SecPkgContext_Flags.ByReference

All Implemented Interfaces:
  `Structure.ByReference`

Enclosing class:
  Sspi.SecPkgContext_Flags

public static class Sspi.SecPkgContext_Flags.ByReference extends Sspi.SecPkgContext_Flags implements Structure.ByReference

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Sspi.SecPkgContext_Flags

`Sspi.SecPkgContext_Flags.ByReference`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

### Fields inherited from class com.sun.jna.platform.win32.Sspi.SecPkgContext_Flags

`Flags`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`ByReference()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ByReference

public ByReference()